| API Docs for SAX and DOM |

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# DOMWriterFilter Class Reference

DOMWriterFilter.hpp: interface for the DOMWriterFilter class. More...

Inheritance diagram for DOMWriterFilter:

[legend]
Collaboration diagram for DOMWriterFilter:

[legend]
List of all members.

## Public Methods

Destructor
virtual | ~DOMWriterFilter ()
| Destructor.
Functions introduced in DOM Level 3
virtual short | acceptNode (const DOMNode *node) const=0
| Interface from `DOMNodeFilter`, to be implemented by implementation (derived class).
virtual unsigned long | getWhatToShow () const=0
| Tells the DOMWriter what types of nodes to show to the filter.
virtual void | setWhatToShow (unsigned long toShow)=0
| Set what types of nodes are to be presented.

## Protected Methods

Hidden constructors
| DOMWriterFilter ()

## Detailed Description

DOMWriterFilter.hpp: interface for the DOMWriterFilter class.

DOMWriterFilter provide applications the ability to examine nodes as they are being serialized.

DOMWriterFilter lets the application decide what nodes should be serialized or not.

The DOMDocument, DOMDocumentType, DOMNotation, and DOMEntity nodes are not passed to the filter.

Since:
  DOM Level 3

## Constructor & Destructor Documentation

DOMWriterFilter::DOMWriterFilter | ( |  | ) | `[protected]`

virtual DOMWriterFilter::~DOMWriterFilter | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual short DOMWriterFilter::acceptNode | ( | const DOMNode * | node | ) | const`[pure virtual]`

| Interface from `DOMNodeFilter`, to be implemented by implementation (derived class). Implements DOMNodeFilter.

virtual unsigned long DOMWriterFilter::getWhatToShow | ( |  | ) | `[pure virtual]`

Tells the DOMWriter what types of nodes to show to the filter.

See `DOMNodeFilter` for definition of the constants. The constant SHOW_ATTRIBUTE is meaningless here, attribute nodes will never be passed to a DOMWriterFilter.

"Experimental - subject to change"

Returns:
  The constants of what types of nodes to show.

See also:
  setWhatToShow

Since:
  DOM Level 3

virtual void DOMWriterFilter::setWhatToShow | ( | unsigned long | toShow | ) | `[pure virtual]`

Set what types of nodes are to be presented.

See `DOMNodeFilter` for definition of the constants.

"Experimental - subject to change"

Parameters:

  toShow | The constants of what types of nodes to show.

See also:
  getWhatToShow

Since:
  DOM Level 3

The documentation for this class was generated from the following file:

- DOMWriterFilter.hpp

Copyright © 2000 The Apache Software Foundation. All Rights Reserved.